<?php
namespace Drupal\get_url;
use Twig\Extension\AbstractExtension;
use Drupal\Core\Path;

class TwigExtension extends AbstractExtension {
 
  /**
   * {@inheritdoc}
   * This function must return the name of the extension. It must be unique.
   */
  public function getName() {
    return 'get_node_url';
  }
 
  /**
   * In this function we can declare the extension function.
   */
  public function getFunctions() {
    return array(
      new \Twig\TwigFunction('get_url', array($this, 'get_url'), array('is_safe' => array('html'))),
    );
  }

	public static function get_url($nodeid) {
		$alias = \Drupal::service('path_alias.manager')->getAliasByPath($nodeid);
		//$alias = Url::fromRoute('entity.node.canonical', ['node' => $nodeid])->toString();
		return $alias;
	}
  
}